> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axnpay.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar saque

Consulta um saque por `transactionId` (UUID) ou `id` inteiro legado.


## OpenAPI

````yaml GET /v1/integrations/cashout/{id}
openapi: 3.0.3
info:
  title: AXNPAY Integrations API
  version: '2026-05-02'
  description: >-
    Referencia publica para integracao de cobrancas, saques, conciliacao e
    checkout de cartao da AXNPAY.
servers:
  - url: https://api.axnpay.com.br
security:
  - secretKeyAuth: []
paths:
  /v1/integrations/cashout/{id}:
    get:
      tags:
        - Integrations
      summary: Consultar saque
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Saque encontrado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionPublic'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    TransactionPublic:
      type: object
      properties:
        transactionId:
          type: string
          nullable: true
          format: uuid
        status:
          $ref: '#/components/schemas/TxStatus'
        type:
          $ref: '#/components/schemas/TxType'
        source:
          type: string
        origin:
          $ref: '#/components/schemas/TxOrigin'
        amount:
          type: number
        feeAmount:
          type: number
        finalAmount:
          type: number
        description:
          type: string
          nullable: true
        productName:
          type: string
          nullable: true
        trackingParameters:
          $ref: '#/components/schemas/TrackingParameters'
        pixCode:
          type: string
          nullable: true
        pixKeyType:
          allOf:
            - $ref: '#/components/schemas/PixKeyType'
          nullable: true
        pixKey:
          type: string
          nullable: true
        clientName:
          type: string
          nullable: true
        clientEmail:
          type: string
          nullable: true
        clientPhone:
          type: string
          nullable: true
        clientCpf:
          type: string
          nullable: true
        externalId:
          type: string
          nullable: true
        gatewayId:
          type: string
          nullable: true
        endToEndId:
          type: string
          nullable: true
        receiptUrl:
          type: string
          nullable: true
        transactionDate:
          type: string
          format: date-time
          nullable: true
        paidAt:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
          nullable: true
        updatedAt:
          type: string
          format: date-time
          nullable: true
        balanceImpact:
          type: boolean
        settlementMode:
          type: string
    TxStatus:
      type: string
      enum:
        - PENDING
        - PROCESSING
        - COMPLETED
        - FAILED
        - REVERSED
        - CANCELLED
        - CHARGEBACK
    TxType:
      type: string
      enum:
        - CASHIN
        - CASHOUT
        - INFRACTION
    TxOrigin:
      type: string
      enum:
        - API
        - PAINEL
        - APP
    TrackingParameters:
      type: object
      nullable: true
      additionalProperties: false
      properties:
        utm_source:
          type: string
        utm_medium:
          type: string
        utm_campaign:
          type: string
        utm_content:
          type: string
        utm_term:
          type: string
    PixKeyType:
      type: string
      enum:
        - CPF
        - CNPJ
        - EMAIL
        - PHONE
        - EVP
    ErrorResponse:
      type: object
      properties:
        statusCode:
          type: integer
        error:
          type: string
        message:
          type: string
        detail:
          type: object
          additionalProperties: true
      required:
        - statusCode
        - error
        - message
  responses:
    BadRequest:
      description: Requisicao invalida
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Nao autenticado
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Recurso nao encontrado
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    secretKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: sk_live_prod_*
      description: 'Use sua secret key: Bearer sk_live_prod_...'

````